| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AbstractClientHandler::HandlerInfo Class Reference
Client proxies

The AbstractClientHandler::HandlerInfo class provides a wrapper around the additional info about the channels passed to handleChannels(). More...

`#include <TelepathyQt/AbstractClientHandler>`

List of all members.

## Public Member Functions

- HandlerInfo (const QVariantMap &info=QVariantMap())
- HandlerInfo (const HandlerInfo &other)
- ~HandlerInfo ()
- HandlerInfo & operator= (const HandlerInfo &other)
- QVariantMap allInfo () const

## Detailed Description

The AbstractClientHandler::HandlerInfo class provides a wrapper around the additional info about the channels passed to handleChannels().

See also:
  AbstractClientHandler

## Constructor & Destructor Documentation

Tp::AbstractClientHandler::HandlerInfo::HandlerInfo | ( | const QVariantMap & | info = `QVariantMap()` | ) |

Tp::AbstractClientHandler::HandlerInfo::HandlerInfo | ( | const HandlerInfo & | other | ) |

Tp::AbstractClientHandler::HandlerInfo::~HandlerInfo | ( |  | ) |

## Member Function Documentation

AbstractClientHandler::HandlerInfo & Tp::AbstractClientHandler::HandlerInfo::operator= | ( | const HandlerInfo & | other | ) |

QVariantMap Tp::AbstractClientHandler::HandlerInfo::allInfo | ( |  | ) | const